--interface=Wx on linux

Forum closed. All further discussion to be discussed at https://github.com/OpenKore/

Moderator: Moderators

Locked
Message
Author
bigOne1
Noob
Noob
Posts: 3
Joined: 10 Apr 2015, 14:57
Noob?: No

--interface=Wx on linux

#1 Post by bigOne1 »

Hi Everyone,

if I want to execute

Code: Select all

perl opernkore.pl --interface=Wx
I get the following error message:

Code: Select all

Use of the encoding pragma is deprecated at src/Interface.pm line 29.
Use of the encoding pragma is deprecated at src/Misc.pm line 30.
Use of the encoding pragma is deprecated at src/Network/PacketParser.pm line 23.
Use of the encoding pragma is deprecated at src/Network/Send.pm line 29.
Use of the encoding pragma is deprecated at src/Commands.pm line 26.
defined(@array) is deprecated at src/Commands.pm line 2816.
	(Maybe you should just omit the defined()?)
defined(@array) is deprecated at src/Commands.pm line 2826.
	(Maybe you should just omit the defined()?)
Use of the encoding pragma is deprecated at src/AI/CoreLogic.pm line 25.
Use of the encoding pragma is deprecated at src/Interface/Wx/Console.pm line 33.
Memory Access Violation
There are some more of the deprecated error messages.
After I fixed the deprecated code I only get the "memory access violation".

Got someone give me a hint how I can fix this ?
Or is there a fixed version for this ?

Thank you.

Locked